## python-cluster 1.3.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-cluster.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-cluster.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-cluster"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-cluster"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-cluster 1.1.1b3

=== debian/changelog ===
python-cluster (1.1.1b3-2) unstable; urgency=low

  * Team upload.

  [ Jan Dittberner ]
  * add debian/watch; Closes: #520102

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * debian/source/format: set to 3.0 (quilt).
  * Move to debhelper compat 9 and dh short format.
  * Port to dh-python2 from python-support.  Closes: #785999
  * debian/control: bump Standards-Version to 3.9.6, no changes needed.
  * Fix lintian warning spelling-error-in-description.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Dec 2015 19:10:27 +0000

python-cluster (1.1.1b3-1) unstable; urgency=low

  * Initial release (Closes: #483458)

 -- Luciano Bello <luciano@debian.org>  Thu, 29 May 2008 19:26:36 -0300

=== debian/control ===
Source: python-cluster
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>
Build-Depends: debhelper (>= 9), python-all, dh-python
Standards-Version: 3.9.6
Homepage: http://python-cluster.sourceforge.net/
XS-Python-Version: all
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cluster.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cluster.git

Package: python-cluster
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: allows grouping a list of arbitrary objects into related groups (clusters)
 python-cluster is a "simple" package that allows users to create several groups
 (clusters) of objects from a list. It's meant to be flexible and able to
 cluster any object. To ensure this kind of flexibility, you need not only to
 supply the list of objects, but also a function that calculates the similarity
 between two of those objects. For simple datatypes, like integers, this can be
 as simple as a subtraction, but more complex calculations are possible. Right
 now, it is possible to generate the clusters using a hierarchical clustering
 and the popular K-Means algorithm. For the hierarchical algorithm there are
 different "linkage" (single, complete, average and uclus) methods available.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://sf.net/python-cluster/ cluster-([0-9a-z.]+)\.tar\.gz

## python-cluster 1.3.3

=== debian/changelog ===
python-cluster (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * d/copyright: Change upstream license from GPL to LGPL.

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Aug 2019 22:39:40 +0200

python-cluster (1.3.3-2) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

  [ Adrian Alves ]
  * add python3 support

  [ Luciano Bello ]
  * Testsuite: autopkgtest-pkg-python added. Basic import tests.

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 23:40:26 +0200

python-cluster (1.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python-pkg-resources.
    (Closes: #896298)

 -- Adrian Bunk <bunk@debian.org>  Sun, 10 Jun 2018 14:01:42 +0300

python-cluster (1.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Luciano Bello ]
  * Watch file fixed.
  * Homepage updated.
  * New Build-Depend added: python-setuptools.

  [ Adrian Alves ]
  * New upstream release 1.3.3
  * fix standards-version 3.9.7

 -- Adrian Alves <aalves@gmail.com>  Sun, 24 Apr 2016 12:54:32 +0200

=== debian/control ===
Source: python-cluster
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luciano Bello <luciano@debian.org>, Adrian Alves <aalves@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/exhuma/python-cluster/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cluster.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cluster

Package: python3-cluster
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources,
Description: allows grouping a list of arbitrary objects into related groups (clusters)
 python-cluster is a "simple" package that allows users to create several groups
 (clusters) of objects from a list. It's meant to be flexible and able to
 cluster any object. To ensure this kind of flexibility, you need not only to
 supply the list of objects, but also a function that calculates the similarity
 between two of those objects. For simple datatypes, like integers, this can be
 as simple as a subtraction, but more complex calculations are possible. Right
 now, it is possible to generate the clusters using a hierarchical clustering
 and the popular K-Means algorithm. For the hierarchical algorithm there are
 different "linkage" (single, complete, average and uclus) methods available.
 .
 This is the Python 3 compatible package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=python-cluster
%:
		dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -c "import cluster; print(cluster)"
Depends: python3-cluster

Test-Command: for p in $(py3versions -s); do $p -m pytest cluster/test; done
Depends:
 python3-all,
 python3-pytest,
 @

## python-cluster 1.4.1.post3

=== debian/changelog ===
python-cluster (1.4.1.post3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 22 Oct 2022 12:10:36 -0400

python-cluster (1.3.3-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * Update standards version to 4.6.1, no changes needed.

  [ Luciano Bello ]
  * removing Luciano as uploader, as he is retiring.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 May 2022 12:49:59 -0400

=== debian/control ===
Source: python-cluster
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Adrian Alves <aalves@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/exhuma/python-cluster/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cluster.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cluster

Package: python3-cluster
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: allows grouping a list of arbitrary objects into related groups (clusters)
 python-cluster is a "simple" package that allows users to create several groups
 (clusters) of objects from a list. It's meant to be flexible and able to
 cluster any object. To ensure this kind of flexibility, you need not only to
 supply the list of objects, but also a function that calculates the similarity
 between two of those objects. For simple datatypes, like integers, this can be
 as simple as a subtraction, but more complex calculations are possible. Right
 now, it is possible to generate the clusters using a hierarchical clustering
 and the popular K-Means algorithm. For the hierarchical algorithm there are
 different "linkage" (single, complete, average and uclus) methods available.
 .
 This is the Python 3 compatible package.

=== debian/tests/control ===
Test-Command: python3 -c "import cluster; print(cluster)"
Depends:
 python3-cluster,

Test-Command: for p in $(py3versions -s); do $p -m pytest cluster/test; done
Depends:
 python3-all,
 python3-pytest,
 @,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-cluster-$1\.tar\.gz/ \
  https://github.com/exhuma/python-cluster/tags .*/v?(\d\S*)\.tar\.gz
